Skip to main content
POST
Create a Playbook

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Query Parameters

resourceId
string

An Id of a resource within the corresponding project to copy from

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json
name
string
required

The name of the Playbook.

Example:

"New Playbook"

projectId
string
required

The unique identifier for the Project.

Required string length: 24
Pattern: ^[a-z0-9]{24}$
Example:

"66e06026706e6e0016a30e12"

abortOnError
boolean

If set to true, Playbook execution stops when an assertion error occurs. The default value is false.

timeout
integer

The timeout in milliseconds after which a Playbook Step is treated as failed. The default is 2000.

Required range: x >= 1
Example:

3000

Response

Playbook object successfully created.

The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.

name
string

The name of the Playbook

Example:

"New Playbook"

abortOnError
boolean

Flag whether to stop Playbook execution when an assert-error occurred

timeout
integer

A time (in ms) after which a playbook step is 'invalid/failed'

Required range: x >= 1
Example:

2000

_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
createdAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

lastChanged
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

createdBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
lastChangedBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
steps
object[]
Last modified on July 22, 2026